import { ILoginResponse, GetCurrentUserTenantsResponse, IPublicSettingsResponse, IGetUserAuthorizationResponse } from '@frontegg/rest-api';
import { UserEntitlementsResponseV2 } from '@frontegg/types';
/**
 * Send HTTP post request for Frontegg services to exchange `hosted login` callback code
 */
export declare const exchangeHostedLoginToken: (headers: Record<string, string>, code: string, cliendId: string, clientSecret: string) => Promise<Response>;
/**
 *
 * @param headers
 */
export declare const getMe: (headers: Record<string, string>) => Promise<ILoginResponse | undefined>;
/**
 *
 * @param headers
 */
export declare const getEntitlements: (headers: Record<string, string>) => Promise<UserEntitlementsResponseV2 | undefined>;
/**
 *
 * @param headers
 */
export declare const getTenants: (headers: Record<string, string>) => Promise<GetCurrentUserTenantsResponse | undefined>;
/**
 *
 * @param headers
 */
export declare const getMeAuthorization: (headers: Record<string, string>) => Promise<IGetUserAuthorizationResponse | undefined>;
export declare const getPublicSettings: (headers: Record<string, string>) => Promise<IPublicSettingsResponse | undefined>;
declare const _default: {
    loadPublicKey: () => Promise<any>;
    refreshTokenEmbedded: (headers: Record<string, string>) => Promise<Response>;
    refreshTokenHostedLogin: (headers: Record<string, string>, refresh_token: string, cliendId?: string | undefined, clientSecret?: string | undefined) => Promise<Response>;
    getMe: (headers: Record<string, string>) => Promise<ILoginResponse | undefined>;
    getTenants: (headers: Record<string, string>) => Promise<GetCurrentUserTenantsResponse | undefined>;
    getPublicSettings: (headers: Record<string, string>) => Promise<IPublicSettingsResponse | undefined>;
    getEntitlements: (headers: Record<string, string>) => Promise<UserEntitlementsResponseV2 | undefined>;
    exchangeHostedLoginToken: (headers: Record<string, string>, code: string, cliendId: string, clientSecret: string) => Promise<Response>;
};
export default _default;
