"use strict";
'use client';

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.ClientFronteggProvider = void 0;
var _extends2 = _interopRequireDefault(require("@babel/runtime/helpers/extends"));
var _objectWithoutPropertiesLoose2 = _interopRequireDefault(require("@babel/runtime/helpers/objectWithoutPropertiesLoose"));
var _common = require("../common");
var _navigation = require("next/navigation");
var _react = _interopRequireWildcard(require("react"));
var _createTenantResolverForClientProvider = require("./createTenantResolverForClientProvider");
var _jsxRuntime = require("react/jsx-runtime");
const _excluded = ["children", "basename", "contextOptions", "customLoginOptions"];
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function (e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != typeof e && "function" != typeof e) return { default: e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && {}.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n.default = e, t && t.set(e, n), n; }
const ClientFronteggProvider = _ref => {
  let {
      children,
      basename,
      contextOptions,
      customLoginOptions
    } = _ref,
    props = (0, _objectWithoutPropertiesLoose2.default)(_ref, _excluded);
  const router = (0, _navigation.useRouter)();
  const basePath = process.env.__NEXT_ROUTER_BASEPATH || '';
  const tenantResolver = (0, _react.useMemo)(() => (0, _createTenantResolverForClientProvider.createTenantResolverForClientProvider)(customLoginOptions), [customLoginOptions]);
  return /*#__PURE__*/(0, _jsxRuntime.jsx)(_common.FronteggBaseProvider, (0, _extends2.default)({
    router: router,
    basename: basename != null ? basename : basePath,
    contextOptions: (0, _extends2.default)({}, contextOptions, {
      tenantResolver
    })
  }, props, {
    children: children
  }));
};
exports.ClientFronteggProvider = ClientFronteggProvider;
//# sourceMappingURL=ClientFronteggProvider.js.map