"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.FronteggAppProvider = void 0;
var _extends2 = _interopRequireDefault(require("@babel/runtime/helpers/extends"));
var _objectWithoutPropertiesLoose2 = _interopRequireDefault(require("@babel/runtime/helpers/objectWithoutPropertiesLoose"));
var _react = _interopRequireDefault(require("react"));
var _ClientFronteggProvider = require("./ClientFronteggProvider");
var _helpers = require("./helpers");
var _config = _interopRequireDefault(require("../config"));
var _fetchUserData = _interopRequireDefault(require("../utils/fetchUserData"));
var _getAppUrlForCustomLoginWithSubdomain = require("./getAppUrlForCustomLoginWithSubdomain");
var _helpers2 = require("../middleware/helpers");
var _fronteggLogger = _interopRequireDefault(require("../utils/fronteggLogger"));
var _consts = require("./consts");
var _jsxRuntime = require("react/jsx-runtime");
const _excluded = ["envAppUrl"];
const FronteggAppProvider = async options => {
  var _options$customLoginO, _options$secureJwtEna, _ref, _appEnvConfig$envHost;
  const _config$appEnvConfig = _config.default.appEnvConfig,
    {
      envAppUrl
    } = _config$appEnvConfig,
    appEnvConfig = (0, _objectWithoutPropertiesLoose2.default)(_config$appEnvConfig, _excluded);
  let userData = await (0, _fetchUserData.default)({
    getSession: _helpers.getAppSession,
    getHeaders: _helpers.getAppHeaders
  });
  const subDomainAppUrl = await (0, _getAppUrlForCustomLoginWithSubdomain.getAppUrlForCustomLoginWithSubdomain)((_options$customLoginO = options.customLoginOptions) == null ? void 0 : _options$customLoginO.subDomainIndex);
  const logger = _fronteggLogger.default.child({
    tag: 'FronteggAppProvider'
  });
  if (process.env['FRONTEGG_SECURE_JWT_ENABLED'] === 'true' && userData) {
    var _userData;
    userData = (0, _helpers2.removeJwtSignatureFrom)(userData);
    userData.session = (0, _helpers2.removeJwtSignatureFrom)((_userData = userData) == null ? void 0 : _userData.session);
  }
  if (Object.hasOwn(options, 'hostedLoginBox')) {
    logger.warn(_consts.FRONTEGG_HOSTED_LOGIN_MIGRATION_WARNING);
  }
  const providerProps = (0, _extends2.default)({}, appEnvConfig, userData, options, {
    shouldRequestAuthorize: true,
    envAppUrl: subDomainAppUrl != null ? subDomainAppUrl : envAppUrl,
    secureJwtEnabled: (_options$secureJwtEna = options.secureJwtEnabled) != null ? _options$secureJwtEna : false,
    hostedLoginBox: (_ref = (_appEnvConfig$envHost = appEnvConfig.envHostedLoginBox) != null ? _appEnvConfig$envHost : options.hostedLoginBox) != null ? _ref : false
  });
  return /*#__PURE__*/(0, _jsxRuntime.jsx)(_ClientFronteggProvider.ClientFronteggProvider, (0, _extends2.default)({}, providerProps));
};
exports.FronteggAppProvider = FronteggAppProvider;
//# sourceMappingURL=FronteggAppProvider.js.map