"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.FronteggAppRouter = FronteggAppRouter;
var _navigation = require("next/navigation");
var _routing = require("../utils/routing");
var _FronteggRouterBase = require("../common/FronteggRouterBase");
var _react = _interopRequireDefault(require("react"));
var _jsxRuntime = require("react/jsx-runtime");
function FronteggAppRouter(routerProps) {
  const props = routerProps;
  const renderAppRouter = (searchParams, pathArr) => {
    let pathname = `/${pathArr.join('/')}`;
    if (!pathname || pathname.startsWith('/_next/data')) {
      if (searchParams) {
        const query = searchParams[Object.keys(searchParams)[0]];
        pathname = `/${Array.isArray(query) ? query.join('/') : query}`;
      } else {
        (0, _navigation.notFound)();
        return null;
      }
    }
    if (!(0, _routing.isAuthRoute)(pathname)) {
      (0, _navigation.notFound)();
      return null;
    }
    return /*#__PURE__*/(0, _jsxRuntime.jsx)(_FronteggRouterBase.FronteggRouterBase, {
      pathArr: pathArr,
      queryParams: searchParams,
      isAppDirEnabled: true
    });
  };

  /**
   * used to avoid type error by supporting both NextJS 15+ and NextJS < 14 versions
   * for promise and non-promise props
   * for more info: https://nextjs.org/docs/messages/sync-dynamic-apis
   */
  // noinspection SuspiciousTypeOfGuard
  if (props.params instanceof Promise || props.searchParams instanceof Promise) {
    const asyncProps = props;
    return asyncProps.params.then(params => {
      return asyncProps.searchParams.then(searchParams => {
        return renderAppRouter(searchParams, params['frontegg-router'] || []);
      });
    });
  }
  return renderAppRouter(props.searchParams, props.params['frontegg-router'] || []);
}
//# sourceMappingURL=FronteggAppRouter.js.map