"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.createTenantResolverForClientProvider = void 0;
const createTenantResolverForClientProvider = customLoginOptions => {
  if (!customLoginOptions) {
    return undefined;
  }
  return () => {
    try {
      const {
        subDomainIndex,
        paramKey
      } = customLoginOptions;
      if (subDomainIndex !== undefined) {
        const tenant = window.location.hostname.split('.').slice(0, -2)[subDomainIndex];
        return {
          tenant
        };
      }
      if (paramKey) {
        const params = new URLSearchParams(window.location.search);
        const tenant = params.get(paramKey) || undefined;
        return {
          tenant
        };
      }
      return {};
    } catch {
      return {};
    }
  };
};
exports.createTenantResolverForClientProvider = createTenantResolverForClientProvider;
//# sourceMappingURL=createTenantResolverForClientProvider.js.map