/**
 * get the tenant alias from the request headers with the host and subdomain index
 * @param headers - the request headers
 * @param subDomainIndex - the subdomain index to specify the tenant sub-domain
 * @returns the alias for custom login with subdomain or undefined if not exist
 */
export declare const getTenantAliasFromHeaders: (headers: Record<string, string>, subDomainIndex: number) => string;
/**
 * set the global.customLoginAppUrl to undefined in order to allow switching from tenant to vendor app
 */
export declare const resetGlobalCustomLoginAppUrl: () => void;
/**
 * get the app url for custom login with subdomain and set it to the global customLoginAppUrl
 * @param subDomainIndex - the index of the subdomain in the host
 * @returns Promise of string or undefined, the app url for custom login with subdomain or undefined if the sub-domain index/app url/alias is not exist
 * @sideEffect - set the global.customLoginAppUrl to the app url for custom login with subdomain */
export declare const getAppUrlForCustomLoginWithSubdomain: (subDomainIndex?: number) => Promise<string | undefined>;
