"use strict";
'use client';

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _react = _interopRequireDefault(require("react"));
var _reactHooks = require("@frontegg/react-hooks");
var _jsxRuntime = require("react/jsx-runtime");
const AuthorizedContent = props => {
  let isAuthorized = true;
  const user = (0, _reactHooks.useAuthUserOrNull)();
  if (!(user != null && user.superUser)) {
    if (props.requiredPermissions) {
      if (!(user != null && user.permissions) || (user == null ? void 0 : user.permissions.length) === 0) {
        isAuthorized = false;
      }
      for (const permission of props.requiredPermissions) {
        var _user$permissions;
        if (!(user != null && (_user$permissions = user.permissions) != null && _user$permissions.find(({
          key
        }) => key === permission))) {
          isAuthorized = false;
        }
      }
    }
    if (props.requiredRoles) {
      if (!(user != null && user.roles) || (user == null ? void 0 : user.roles.length) === 0) {
        isAuthorized = false;
      }
      for (const role of props.requiredRoles) {
        var _user$roles;
        if (!(user != null && (_user$roles = user.roles) != null && _user$roles.find(({
          key
        }) => key === role))) {
          isAuthorized = false;
        }
      }
    }
  }
  if (typeof props.render === 'function') {
    return /*#__PURE__*/(0, _jsxRuntime.jsx)(_jsxRuntime.Fragment, {
      children: props.render(isAuthorized)
    });
  }
  return isAuthorized ? /*#__PURE__*/(0, _jsxRuntime.jsx)(_jsxRuntime.Fragment, {
    children: props.children
  }) : null;
};
var _default = exports.default = AuthorizedContent;
//# sourceMappingURL=AuthorizedContent.js.map