"use strict";
'use client';

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.FronteggBaseProvider = void 0;
var _extends2 = _interopRequireDefault(require("@babel/runtime/helpers/extends"));
var _objectWithoutPropertiesLoose2 = _interopRequireDefault(require("@babel/runtime/helpers/objectWithoutPropertiesLoose"));
var _react = _interopRequireWildcard(require("react"));
var _reactHooks = require("@frontegg/react-hooks");
var _restApi = require("@frontegg/rest-api");
var _AppContext = _interopRequireDefault(require("./AppContext"));
var _initializeFronteggApp = _interopRequireDefault(require("../utils/initializeFronteggApp"));
var _useRequestAuthorizeSSR = _interopRequireDefault(require("./useRequestAuthorizeSSR"));
var _useOnRedirectTo = _interopRequireDefault(require("../utils/useOnRedirectTo"));
var _config = _interopRequireDefault(require("../config"));
var _jsxRuntime = require("react/jsx-runtime");
const _excluded = ["router", "appName"];
var _Fragment;
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function (e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != typeof e && "function" != typeof e) return { default: e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && {}.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n.default = e, t && t.set(e, n), n; }
const SSGRequestAuthorize = ({
  isSSG,
  shouldRequestAuthorize
}) => {
  const {
    store
  } = (0, _reactHooks.useStore)();
  const {
    requestAuthorize,
    setAuthState
  } = (0, _reactHooks.useAuthActions)();
  (0, _react.useEffect)(() => {
    if (isSSG && shouldRequestAuthorize && !store.auth.silentRefreshing) {
      setAuthState({
        silentRefreshing: true
      });
      requestAuthorize().finally(() => {
        setAuthState({
          silentRefreshing: false
        });
      });
    } else {
      setAuthState({
        silentRefreshing: false
      });
    }
  }, [
    /* DON'T add any dependency to make sure this useEffect called once on app mount */
  ]);
  return _Fragment || (_Fragment = /*#__PURE__*/(0, _jsxRuntime.jsx)(_jsxRuntime.Fragment, {}));
};
const Connector = _ref => {
  var _props$basename, _props$authOptions;
  let {
      router,
      appName = 'default'
    } = _ref,
    props = (0, _objectWithoutPropertiesLoose2.default)(_ref, _excluded);
  const isSSR = typeof window === 'undefined';
  const {
    user,
    session,
    tenants,
    activeTenant
  } = props;
  const baseName = (_props$basename = props.basename) != null ? _props$basename : '';
  const storeHolder = (0, _react.useRef)({});
  const onRedirectTo = (0, _useOnRedirectTo.default)(baseName, router, (_props$authOptions = props.authOptions) == null ? void 0 : _props$authOptions.routes);
  const app = (0, _react.useMemo)(() => (0, _initializeFronteggApp.default)({
    options: (0, _extends2.default)({}, props, {
      basename: baseName
    }),
    onRedirectTo,
    appName,
    storeHolder: storeHolder.current
  }), [props]);
  _restApi.ContextHolder.for(appName).setOnRedirectTo(onRedirectTo);
  (0, _react.useEffect)(() => {
    if (props.shouldRequestAuthorize && !props.isSSG) {
      if (session != null && session.accessToken) {
        var _session$accessToken;
        _restApi.ContextHolder.for(appName).setAccessToken((_session$accessToken = session == null ? void 0 : session.accessToken) != null ? _session$accessToken : null);
      }
      if (user) {
        _restApi.ContextHolder.for(appName).setUser(user);
      }
      (0, _useRequestAuthorizeSSR.default)({
        app,
        user,
        tenants,
        activeTenant,
        session
      });
    }
  }, []);
  const alwaysVisibleChildren = isSSR ? undefined : /*#__PURE__*/(0, _jsxRuntime.jsxs)(_jsxRuntime.Fragment, {
    children: [/*#__PURE__*/(0, _jsxRuntime.jsx)(SSGRequestAuthorize, {
      isSSG: props.isSSG,
      shouldRequestAuthorize: props.shouldRequestAuthorize
    }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_reactHooks.CustomComponentRegister, {
      app: app,
      themeOptions: props.themeOptions
    }), props.alwaysVisibleChildren]
  });
  return /*#__PURE__*/(0, _jsxRuntime.jsx)(_AppContext.default.Provider, {
    value: app,
    children: /*#__PURE__*/(0, _jsxRuntime.jsx)(_reactHooks.FronteggStoreProvider, (0, _extends2.default)({}, (0, _extends2.default)({}, props, {
      app
    }), {
      alwaysVisibleChildren: alwaysVisibleChildren,
      children: props.children
    }))
  });
};
const FronteggBaseProvider = props => {
  _config.default.fronteggAppOptions = props != null ? props : {};
  return /*#__PURE__*/(0, _jsxRuntime.jsx)(Connector, (0, _extends2.default)({}, props, {
    framework: 'nextjs',
    children: props.children
  }));
};
exports.FronteggBaseProvider = FronteggBaseProvider;
//# sourceMappingURL=FronteggBaseProvider.js.map