"use strict";
'use client';

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.FronteggRouterBase = FronteggRouterBase;
var _extends2 = _interopRequireDefault(require("@babel/runtime/helpers/extends"));
var _config = _interopRequireDefault(require("../config"));
var _routing = require("../utils/routing");
var _react = _interopRequireWildcard(require("react"));
var _reactHooks = require("@frontegg/react-hooks");
var _constants = require("../utils/common/constants");
var _AppContext = _interopRequireDefault(require("./AppContext"));
var _helpers = require("./helpers");
var _jsxRuntime = require("react/jsx-runtime");
var _Fragment;
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function (e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != typeof e && "function" != typeof e) return { default: e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && {}.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n.default = e, t && t.set(e, n), n; }
function FronteggRouterBase(props) {
  const {
    queryParams = {},
    pathArr,
    isAppDirEnabled
  } = props;
  const app = (0, _react.useContext)(_AppContext.default);
  const loginWithRedirect = (0, _reactHooks.useLoginWithRedirect)();
  const {
    requestAuthorize,
    logout
  } = (0, _reactHooks.useLoginActions)();
  (0, _react.useEffect)(() => {
    if (!app) {
      return;
    }
    const pathname = `/${pathArr.join('/')}`;
    const routesObj = (0, _extends2.default)({}, _routing.defaultFronteggRoutes, _config.default.authRoutes);
    if (app.options.hostedLoginBox) {
      if (pathname === routesObj.loginUrl) {
        const redirectUrl = (0, _helpers.getAfterAuthRedirectUrl)(queryParams);
        if (queryParams.redirectUrl) {
          localStorage.setItem(_constants.FRONTEGG_AFTER_AUTH_REDIRECT_URL, `${window.location.origin}${redirectUrl}`);
        }
        loginWithRedirect();
      } else if (pathname === routesObj.logoutUrl) {
        logout();
      }
    } else {
      var _routesObj$hostedLogi;
      if (pathname.startsWith((_routesObj$hostedLogi = routesObj.hostedLoginRedirectUrl) != null ? _routesObj$hostedLogi : '/oauth/callback')) {
        // if not hosted login, redirect the user to the authenticated url
        window.location.href = routesObj.authenticatedUrl;
      } else {
        const isSamlCallback = pathname === routesObj.samlCallbackUrl;
        const isLoginPage = pathname.startsWith(routesObj.loginUrl);
        if (isAppDirEnabled && isLoginPage || isSamlCallback) {
          requestAuthorize(true);
        }
      }
    }
  }, [app, queryParams, pathArr, loginWithRedirect, logout]);
  return _Fragment || (_Fragment = /*#__PURE__*/(0, _jsxRuntime.jsx)(_jsxRuntime.Fragment, {}));
}
//# sourceMappingURL=FronteggRouterBase.js.map