"use strict";
'use client';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.useUsersTable = exports.useInviteUserDialog = void 0;
var _react = _interopRequireWildcard(require("react"));
var _ = require("../..");
var _reduxStore = require("@frontegg/redux-store");
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function (e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != typeof e && "function" != typeof e) return { default: e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && {}.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n.default = e, t && t.set(e, n), n; }
const useUsersTable = id => {
  const app = (0, _react.useContext)(_.AppContext);
  const [store, setStore] = (0, _react.useState)((0, _reduxStore.createProxy)({
    onSearch: () => {},
    searchQuery: '',
    searching: false
  }));
  _react.default.useLayoutEffect(() => {
    app.getUsersTableStore({
      id
    }).then(store => {
      setStore(store);
    }).catch(err => {
      console.error('Error getting users table store', err);
    });
  }, []);
  return (0, _.useSnapshot)(store);
};
exports.useUsersTable = useUsersTable;
const useInviteUserDialog = id => {
  const app = (0, _react.useContext)(_.AppContext);
  const [store, setStore] = (0, _react.useState)((0, _reduxStore.createProxy)({
    openDialog: () => {},
    closeDialog: () => {},
    dialogOpen: false
  }));
  _react.default.useLayoutEffect(() => {
    app.getInviteUserDialogStore({
      id
    }).then(store => {
      setStore(store);
    }).catch(err => {
      console.error('Error getting invite user dialog store', err);
    });
  }, []);
  return (0, _.useSnapshot)(store);
};
exports.useInviteUserDialog = useInviteUserDialog;
//# sourceMappingURL=hooks.js.map