import { PasswordsMap } from './types';
/**
 * Return environment variable's value.
 * @throws {@link FronteggEnvNotFound} if not exists
 * @param name
 */
export declare const getEnv: (name: string) => string;
/**
 * Return environment variable's value with default if not exists
 * @param {string} name - the name from environment variable {@link EnvVariables}
 * @param {optional string} defaultValue - default value if not exists
 */
export declare const getEnvOrDefault: <T>(name: string, defaultValue: T) => string | T;
/**
 * extract hostname from appUrl for session cookie creation
 * @param {string} appUrl - The generated appUrl
 */
export declare const generateCookieDomain: (appUrl: string) => string;
/**
 * Create passwordMap if from {@link EnvVariables.FRONTEGG_ENCRYPTION_PASSWORD}
 * @param {string} password - encryption password
 */
export declare function normalizeStringPasswordToMap(password: string | PasswordsMap): PasswordsMap;
/**
 * Check if the Next.js application running on Vercel Deployment Service
 * and calculate the appUrl based on Vercel Environment variables.
 */
export declare function generateAppUrl(): string;
