import { AuthPageRoutes } from '@frontegg/redux-store';
import { WithFronteggAppOptions } from '../pages';
import { AppEnvConfig, PasswordsMap } from './types';
declare class Config {
    fronteggAppOptions: Partial<WithFronteggAppOptions>;
    constructor();
    get isSSGExport(): boolean;
    get appUrl(): string;
    get testUrl(): string | undefined;
    get baseUrl(): string;
    get baseUrlHost(): string;
    get clientId(): string;
    get appId(): string | undefined;
    get rewriteCookieByAppId(): boolean;
    get clientSecret(): string | undefined;
    get sharedSecret(): string | undefined;
    get shouldForwardIp(): boolean;
    get jwtPublicKeyJson(): string | undefined;
    get secureJwtEnabled(): boolean;
    get cookieName(): string;
    get cookieDomain(): string;
    get cookieSameSite(): 'lax' | 'strict' | 'none';
    get authRoutes(): Partial<AuthPageRoutes>;
    private validatePassword;
    get password(): PasswordsMap;
    get isSSL(): boolean;
    get isHostedLogin(): boolean;
    get disableInitialPropsRefreshToken(): boolean;
    get appEnvConfig(): AppEnvConfig;
    checkHostedLoginConfig(options: WithFronteggAppOptions | undefined): void;
}
export { EnvVariables } from './constants';
declare const _default: Config;
export default _default;
