"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.redirectToLogin = void 0;
var _server = require("next/server");
var _urls = require("../api/urls");
/**
 * Redirect to login page in edge environment (middleware file) using NextResponse.redirect.
 *
 *  @param {string} pathname - The URL path to redirect to after successful login.
 *  @param {URLSearchParams} searchParams - optional The URL search Params to preserve to login
 *  @param {string} baseUrl - optional The login base URL the user will be redirected to (default .env.local FRONTEGG_APP_URL)
 *
 *  @returns {NextResponse} redirects to login page
 *
 */

//consider refactor params to object on next major version
const redirectToLogin = (pathname, searchParams, baseUrl) => {
  const {
    asUrl: loginUrl
  } = (0, _urls.buildLoginRoute)(pathname, searchParams, baseUrl);
  return _server.NextResponse.redirect(loginUrl);
};
exports.redirectToLogin = redirectToLogin;
//# sourceMappingURL=redirectToLogin.js.map