"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.FronteggProxy = void 0;
var _httpProxy = require("http-proxy");
var _ProxyRequestCallback = _interopRequireDefault(require("./ProxyRequestCallback"));
var _ProxyResponseCallback = _interopRequireDefault(require("./ProxyResponseCallback"));
/**
 * @see https://www.npmjs.com/package/http-proxy
 */
const FronteggProxy = exports.FronteggProxy = (0, _httpProxy.createProxyServer)({
  target: process.env['FRONTEGG_BASE_URL'],
  changeOrigin: true,
  selfHandleResponse: true,
  /**
   * We set xfwd to true to avoid next-js buggy implementation of x-forwarded-* headers in version 14.0.2
   * They set the x-forwarded-port header to be 'undefined' in production environment - https://github.com/vercel/next.js/issues/58295
   * This causes our proxy middleware to fail on every request
   */
  xfwd: true
});

/**
 * Set proxy request callback handler
 */
// @ts-ignore
FronteggProxy.on('proxyReq', _ProxyRequestCallback.default);
/**
 * Set proxy response callback handler
 */
// @ts-ignore
FronteggProxy.on('proxyRes', _ProxyResponseCallback.default);
//# sourceMappingURL=FronteggProxy.js.map