/// <reference types="node" />
import { ProxyReqCallback } from 'http-proxy';
import { ClientRequest } from 'http';
import { NextApiRequest } from 'next';
/**
 * Proxy request callback fired on before each request to Frontegg services,
 * to transport frontegg cookies.
 *
 * @param {ClientRequest} proxyReq - Proxy request to be sent
 * @param {NextApiRequest} req - Next.js incoming request
 */
declare const ProxyRequestCallback: ProxyReqCallback<ClientRequest, NextApiRequest>;
export default ProxyRequestCallback;
