import { ProxyResCallback } from 'http-proxy';
import { IncomingMessage } from 'http';
import { NextApiResponse } from 'next';
/**
 * Proxy response callback fired on after each response from Frontegg services,
 * to transport frontegg modify cookies and generating encrypted JWT session cookie.
 *
 * @param {IncomingMessage} proxyRes - Proxy response from Frontegg services
 * @param {NextApiRequest} req - Next.js request sent from client-side
 * @param {NextApiResponse} res - Next.js response to send to client-side
 */
declare const ProxyResponseCallback: ProxyResCallback<IncomingMessage, NextApiResponse>;
export default ProxyResponseCallback;
