import { BuildRouteResult } from '../api/urls';
/**
 * If pattern information matching the input url information is found in the `pathRewrite` array,
 * the url value is partially replaced with the `pathRewrite.replaceStr` value.
 * @param url
 * @param pathRewrite
 */
export declare const rewritePath: (url: string, pathRewrite: {
    [key: string]: string;
} | {
    patternStr: string;
    replaceStr: string;
}[]) => string;
/**
 * Checks If route is a logout route
 * @param url
 */
export declare const isFronteggLogoutUrl: (url: string) => boolean;
/**
 * Checks If route is a hosted logout route
 * @param url
 */
export declare const isFronteggOauthLogoutUrl: (url: string) => boolean;
/**
 * Returns url to be redirected for hosted logout
 * @param referer the route to redirect to after logout
 */
export declare const getHostedLogoutUrl: (referer?: string) => BuildRouteResult;
export type Tokens = {
    accessToken: string;
    refreshToken: string;
};
/**
 * Extracts the access token from the response body
 * @param bodyStr
 */
export declare const extractAccessToken: (bodyStr: string) => Tokens;
/**
 * Removes the signature from the JWT token
 * @param body
 */
export declare const removeJwtSignatureFrom: <T extends unknown>(body: any) => T;
export declare const isInternalRequest: (host: string) => boolean;
