"use strict";
'use client';

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.FronteggProviderNoSSR = void 0;
var _extends2 = _interopRequireDefault(require("@babel/runtime/helpers/extends"));
var _objectWithoutPropertiesLoose2 = _interopRequireDefault(require("@babel/runtime/helpers/objectWithoutPropertiesLoose"));
var _js = require("@frontegg/js");
var _reactHooks = require("@frontegg/react-hooks");
var _restApi = require("@frontegg/rest-api");
var _router = require("next/router");
var _react = _interopRequireWildcard(require("react"));
var _AppContext = _interopRequireDefault(require("../common/AppContext"));
var _useOnRedirectTo = _interopRequireDefault(require("../utils/useOnRedirectTo"));
var _ExpireInListener2 = _interopRequireDefault(require("./ExpireInListener"));
var _reduxStore = require("@frontegg/redux-store");
var _NoSSRStoreHolder = _interopRequireDefault(require("./NoSSRStoreHolder"));
var _jsxRuntime = require("react/jsx-runtime");
var _ExpireInListener;
const _excluded = ["router", "appName", "hostedLoginBox", "customLoginBox"];
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function (e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != typeof e && "function" != typeof e) return { default: e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && {}.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n.default = e, t && t.set(e, n), n; }
const Connector = _props => {
  var _props$basename, _props$authOptions, _NoSSRStoreHolder$get;
  const {
      router,
      appName,
      hostedLoginBox
    } = _props,
    props = (0, _objectWithoutPropertiesLoose2.default)(_props, _excluded);
  const baseName = (_props$basename = props.basename) != null ? _props$basename : router.basePath;
  const storeHolderRef = (0, _react.useRef)({});
  const onRedirectTo = (0, _useOnRedirectTo.default)(baseName, router, (_props$authOptions = props.authOptions) == null ? void 0 : _props$authOptions.routes);
  const contextOptions = (0, _extends2.default)({
    requestCredentials: 'include'
  }, props.contextOptions);
  const storeHolder = (_NoSSRStoreHolder$get = _NoSSRStoreHolder.default.getInstance()) != null ? _NoSSRStoreHolder$get : storeHolderRef.current;
  let sharedStore = storeHolder.store;
  if (!sharedStore) {
    sharedStore = (0, _reduxStore.createStore)({
      context: contextOptions,
      storeHolder,
      previewMode: props.previewMode,
      name: appName != null ? appName : 'default',
      urlStrategy: props.urlStrategy,
      builderMode: false,
      initialState: {
        auth: (0, _extends2.default)({}, props.authOptions, {
          onRedirectTo
        })
      }
    });
    storeHolder.store = sharedStore;
    storeHolderRef.current.store = sharedStore;
  }
  let app;
  try {
    app = _js.AppHolder.getInstance(appName != null ? appName : 'default');
    app.store = sharedStore;
  } catch (e) {
    var _props$basename2;
    app = (0, _js.initialize)((0, _extends2.default)({}, props, {
      store: sharedStore,
      hostedLoginBox: hostedLoginBox != null ? hostedLoginBox : false,
      basename: (_props$basename2 = props.basename) != null ? _props$basename2 : baseName,
      authOptions: (0, _extends2.default)({}, props.authOptions, {
        onRedirectTo
      }),
      contextOptions,
      onRedirectTo
    }), appName != null ? appName : 'default');
    app.store.dispatch({
      type: 'auth/requestAuthorize',
      payload: true
    });
  }
  _restApi.ContextHolder.for(appName != null ? appName : 'default').setOnRedirectTo(onRedirectTo);
  return /*#__PURE__*/(0, _jsxRuntime.jsx)(_AppContext.default.Provider, {
    value: app,
    children: /*#__PURE__*/(0, _jsxRuntime.jsx)(_reactHooks.FronteggStoreProvider, (0, _extends2.default)({}, (0, _extends2.default)({}, props, {
      app
    }), {
      children: props.children
    }))
  });
};
const FronteggNextJSProvider = props => {
  const router = (0, _router.useRouter)();
  return /*#__PURE__*/(0, _jsxRuntime.jsxs)(Connector, (0, _extends2.default)({}, props, {
    router: router,
    children: [_ExpireInListener || (_ExpireInListener = /*#__PURE__*/(0, _jsxRuntime.jsx)(_ExpireInListener2.default, {})), props.children]
  }));
};
const FronteggProviderNoSSR = props => {
  return /*#__PURE__*/(0, _jsxRuntime.jsx)(FronteggNextJSProvider, (0, _extends2.default)({}, props, {
    framework: 'nextjs',
    children: props.children
  }));
};
exports.FronteggProviderNoSSR = FronteggProviderNoSSR;
//# sourceMappingURL=FronteggProviderNoSSR.js.map