"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.withFronteggApp = void 0;
var _extends2 = _interopRequireDefault(require("@babel/runtime/helpers/extends"));
var _react = _interopRequireDefault(require("react"));
var _FronteggPagesProvider = _interopRequireDefault(require("../FronteggPagesProvider"));
var _refreshAccessTokenIfNeeded = _interopRequireWildcard(require("../../utils/refreshAccessTokenIfNeeded"));
var _fetchUserData = _interopRequireDefault(require("../../utils/fetchUserData"));
var _config = _interopRequireDefault(require("../../config"));
var _helpers = require("../../middleware/helpers");
var _jsxRuntime = require("react/jsx-runtime");
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function (e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != typeof e && "function" != typeof e) return { default: e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && {}.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n.default = e, t && t.set(e, n), n; }
const withFronteggApp = (app, options) => {
  const originalGetInitialProps = app.getInitialProps;
  app.getInitialProps = async appContext => {
    const {
      ctx,
      router,
      Component
    } = appContext;
    const isSSG = router.isReady == false && router.isPreview == false;
    _config.default.checkHostedLoginConfig(options);
    let appEnvConfig = {};
    let appContextSessionData = {
      session: null,
      user: null,
      tenants: null
    };
    let shouldRequestAuthorize = false;
    if (ctx.req) {
      appEnvConfig = _config.default.appEnvConfig;
      if (isSSG) {
        shouldRequestAuthorize = true;
      } else {
        var _ctx$req;
        const url = (_ctx$req = ctx.req) == null ? void 0 : _ctx$req.url;
        if (url && (0, _refreshAccessTokenIfNeeded.isRuntimeNextRequest)(url)) {
          let session = await (0, _refreshAccessTokenIfNeeded.default)(ctx);
          if (process.env['FRONTEGG_SECURE_JWT_ENABLED'] === 'true') {
            session = (0, _helpers.removeJwtSignatureFrom)(session);
          }
          Object.assign(appContextSessionData, {
            session
          });
        } else {
          let userData = await (0, _fetchUserData.default)({
            getSession: async () => await (0, _refreshAccessTokenIfNeeded.default)(ctx),
            getHeaders: async () => {
              var _ctx$req$headers, _ctx$req2;
              return (_ctx$req$headers = (_ctx$req2 = ctx.req) == null ? void 0 : _ctx$req2.headers) != null ? _ctx$req$headers : {};
            }
          });
          if (process.env['FRONTEGG_SECURE_JWT_ENABLED'] === 'true' && userData) {
            var _userData;
            userData = (0, _helpers.removeJwtSignatureFrom)(userData);
            userData.session = (0, _helpers.removeJwtSignatureFrom)((_userData = userData) == null ? void 0 : _userData.session);
          }
          shouldRequestAuthorize = true;
          Object.assign(appContextSessionData, userData);
        }
      }
    }
    Object.assign(appContext, appContextSessionData);
    return {
      pageProps: (0, _extends2.default)({}, originalGetInitialProps ? await originalGetInitialProps(appContext) : {}, Component.getInitialProps ? await Component.getInitialProps(ctx) : {}, appContextSessionData.session == null ? {} : appContextSessionData, appEnvConfig, {
        shouldRequestAuthorize
      })
    };
  };
  function CustomFronteggApp(appProps) {
    const {
      user,
      tenants,
      activeTenant,
      session,
      envAppUrl,
      envBaseUrl,
      envClientId,
      secureJwtEnabled,
      envAppId,
      envHostedLoginBox,
      shouldRequestAuthorize
    } = appProps.pageProps;
    return /*#__PURE__*/(0, _jsxRuntime.jsx)(_FronteggPagesProvider.default, (0, _extends2.default)({}, options, {
      hostedLoginBox: envHostedLoginBox,
      user,
      tenants,
      activeTenant,
      session,
      envAppUrl,
      envBaseUrl,
      envHostedLoginBox,
      secureJwtEnabled,
      shouldRequestAuthorize,
      isSSG: appProps.__N_SSG,
      envClientId,
      envAppId,
      children: app(appProps)
    }));
  }
  CustomFronteggApp.getInitialProps = app.getInitialProps;
  return CustomFronteggApp;
};
exports.withFronteggApp = withFronteggApp;
//# sourceMappingURL=withFronteggApp.js.map