"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.headerCharRegex = exports.cookieContentRegExp = exports.FRONTEGG_FORWARDED_SESSION_KEY = exports.FRONTEGG_AFTER_AUTH_REDIRECT_URL = void 0;
const FRONTEGG_AFTER_AUTH_REDIRECT_URL = exports.FRONTEGG_AFTER_AUTH_REDIRECT_URL = 'FRONTEGG_AFTER_AUTH_REDIRECT_URL';

/**
 * Matches if val contains an invalid field-vchar
 *  field-value    = *( field-content / obs-fold )
 *  field-content  = field-vchar [ 1*( SP / HTAB ) field-vchar ]
 *  field-vchar    = VCHAR / obs-text
 *
 *  headerCharRegex have been lifted from
 *  https://github.com/nodejs/node/blob/main/lib/_http_common.js
 */
const headerCharRegex = exports.headerCharRegex = /[^\t\x20-\x7e\x80-\xff]/;
const cookieContentRegExp = exports.cookieContentRegExp = /^[\u0009\u0020-\u007e\u0080-\u00ff]+$/;
const FRONTEGG_FORWARDED_SESSION_KEY = exports.FRONTEGG_FORWARDED_SESSION_KEY = '__frontegg_forwarded_session__';
//# sourceMappingURL=constants.js.map