/**
 * Splits a string into chunks of a specified size.
 * @param {string} str - The string to be chunked.
 * @param {number} chunkSize - The maximum size of each chunk.
 * @returns {string[]} An array of chunks of the specified size.
 */
declare function chunkString(str: string, chunkSize: number): string[];
export { chunkString };
/**
 * Calculates the time until an expiration time based on the current time.
 *
 * @param {number} exp - The expiration time in seconds since the Unix epoch.
 * @returns {number} The time until expiration in seconds.
 */
export declare const calculateExpiresInFromExp: (exp: number) => number;
