import { CookieSerializeOptions } from './types';
/**
 * Parse an HTTP Cookie header string and returning an object of all cookie
 * name-value pairs.
 *
 * @param str the string representing a `Cookie` header value
 */
declare function parse(str: any): Record<string, string>;
/**
 * Serialize a cookie name-value pair into a `Set-Cookie` header string.
 *
 * @param name the name for the cookie
 * @param val value to set the cookie to
 * @param [options] object containing serialization options
 * @throws {TypeError} when `maxAge` options is invalid
 */
declare function serialize(name: string, val: string, options?: CookieSerializeOptions): string;
declare const _default: {
    serialize: typeof serialize;
    parse: typeof parse;
};
export default _default;
