import type { JWTVerifyResult } from 'jose/dist/types/types';
declare class JwtUtils {
    private publicKey;
    /**
     * Get the JWT public key from Frontegg service
     * to verify user's access token when calling getSession
     * in getServerSideProps and ServerComponents
     * @private
     */
    private loadPublicKey;
    /**
     * Load public key from Frontegg services if not cached
     * @private
     */
    private getPublicKey;
    /**
     * verify JWT token with current loaded public key from Frontegg services
     */
    verify(jwt: string | Uint8Array): Promise<JWTVerifyResult>;
}
declare const _default: JwtUtils;
export default _default;
