import type { NextPageContext } from 'next/dist/shared/lib/utils';
import type { FronteggNextJSSession } from '../../types';
import { isRuntimeNextRequest } from './helpers';
export { isRuntimeNextRequest };
/**
 * Refreshes the access token for the current session.
 *
 * @param {NextPageContext} ctx - The Next.js Page Context object.
 * @returns {Promise<FronteggNextJSSession | null>} A Promise that resolves to the updated session object, or `null` if the refresh failed.
 */
export default function refreshAccessTokenIfNeeded(ctx: NextPageContext): Promise<FronteggNextJSSession | null>;
