"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.defaultFronteggRoutes = void 0;
exports.getAuthRoutes = getAuthRoutes;
exports.isAuthRoute = isAuthRoute;
var _extends2 = _interopRequireDefault(require("@babel/runtime/helpers/extends"));
var _config = _interopRequireDefault(require("../../config"));
const defaultFronteggRoutes = exports.defaultFronteggRoutes = {
  authenticatedUrl: '/',
  loginUrl: '/account/login',
  stepUpUrl: '/account/step-up',
  logoutUrl: '/account/logout',
  activateUrl: '/account/activate',
  impersonationUrl: '/account/impersonate',
  acceptInvitationUrl: '/account/invitation/accept',
  forgetPasswordUrl: '/account/forget-password',
  resetPhoneNumberUrl: '/account/reset-phone-number',
  resetPasswordUrl: '/account/reset-password',
  socialLoginCallbackUrl: '/account/social/success',
  signUpUrl: '/account/sign-up',
  oidcRedirectUrl: '/account/oidc/callback',
  samlCallbackUrl: '/account/saml/callback',
  magicLinkCallbackUrl: '/account/login/magic-link',
  hostedLoginRedirectUrl: '/oauth/callback',
  openAppUrl: '/account/redirect'
};
function getAuthRoutes() {
  const routesObj = (0, _extends2.default)({}, defaultFronteggRoutes, _config.default.authRoutes);
  const routesArr = Object.keys(routesObj).reduce((p, key) => [...p, routesObj[key]], []);
  return {
    routesArr,
    routesObj
  };
}
function isAuthRoute(pathname) {
  const {
    routesArr,
    routesObj
  } = getAuthRoutes();
  if (_config.default.isHostedLogin) {
    return routesObj.loginUrl === pathname || routesObj.logoutUrl === pathname || routesObj.hostedLoginRedirectUrl === pathname;
  } else {
    return pathname !== routesObj.authenticatedUrl && routesArr.indexOf(pathname) !== -1;
  }
}
//# sourceMappingURL=index.js.map