"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _react = require("react");
var _reduxStore = require("@frontegg/redux-store");
const useOnRedirectTo = (baseName, router, routes) => {
  const isAuthRouteRef = (0, _react.useRef)(() => false);
  const onRedirectTo = (0, _react.useRef)((_path, opts) => {});
  (0, _react.useMemo)(() => {
    isAuthRouteRef.current = path => (0, _reduxStore.isAuthRoute)(path, routes);
  }, [routes]);
  onRedirectTo.current = (_path, opts) => {
    const isSSR = typeof window == undefined;
    let path = _path;
    if (path.startsWith(baseName)) {
      path = path.substring(baseName.length);
    }
    if (opts != null && opts.preserveQueryParams || isAuthRouteRef.current(path)) {
      path = `${path}${window.location.search}`;
    }
    if (opts != null && opts.refresh && !isSSR) {
      // @ts-ignore
      window.Cypress ? router.push(path) : window.location.href = path;
    } else {
      opts != null && opts.replace ? router.replace(path) : router.push(path);
    }
  };
  return onRedirectTo.current;
};
var _default = exports.default = useOnRedirectTo;
//# sourceMappingURL=index.js.map